Bug 4651 - NTP сервис работает некорректно с drakclock
: NTP сервис работает некорректно с drakclock
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: 2014 Fresh R4
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-12 17:22 MSK by Vladimir Potapov
Modified: 2014-11-21 13:10 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Potapov 2014-11-12 17:22:26 MSK
По-умолчанию сервис не запущен. Если выбрать в drakclock его запуск галочкой, то он запускается, но галочка этого не показывает
Comment 2 Denis Silakov 2014-11-12 18:02:40 MSK
Advisory:
Fix detection of ntp service status in drakclock.

Build lists:
https://abf.io/build_lists/2332671
https://abf.io/build_lists/2332672

Note for testers:
These build lists also incorporates additional fix from bug #4378 which forces kdm service to wait until network is started. It turned out that we have added that fix to drakxtools and closed the bug but forgot to publish the updated packages.
Comment 3 Vladimir Potapov 2014-11-12 18:43:10 MSK
X64 - OK
i586 - 

drakclock
Not a CODE reference at /usr/lib/perl5/5.18.2/i386-linux-thread-multi/DynaLoader.pm line 213.
END failed--call queue aborted at /usr/lib/libDrakX/c/stuff.pm line 213.
Compilation failed in require at /usr/lib/libDrakX/c.pm line 5.
BEGIN failed--compilation aborted at /usr/lib/libDrakX/c.pm line 5.
Compilation failed in require at /usr/lib/libDrakX/log.pm line 6.
BEGIN failed--compilation aborted at /usr/lib/libDrakX/log.pm line 6.
Compilation failed in require at /usr/lib/libDrakX/common.pm line 8.
BEGIN failed--compilation aborted at /usr/lib/libDrakX/common.pm line 8.
Compilation failed in require at /usr/sbin/drakclock line 6.
BEGIN failed--compilation aborted at /usr/sbin/drakclock line 6.
Comment 4 Konstantin Vlasov 2014-11-12 21:21:25 MSK
Обнаружен виновник падения: в сборку был добавлен флаг
CCFLAGS="%{optflags}"
Если его убрать, драк-утилиты падать перестают, но начинает падает уже проверка rpmlint c ошибкой debuginfo-without-sources. Почему этот флаг приводит к падению, пока не ясно. Не исключено, что в этих флагах сидит что-то, нарушающее бинарную совместимость, и требуется пересобрать с тем же флагом весь перл, но это лишь мои предположения.

Кастую в баг Андрея Бондрова, по чьему наущению был добавлен флаг.
Comment 5 Andrey Bondrov 2014-11-13 05:01:15 MSK
(In reply to comment #4)
> Обнаружен виновник падения: в сборку был добавлен флаг
> CCFLAGS="%{optflags}"
> Если его убрать, драк-утилиты падать перестают, но начинает падает уже
> проверка rpmlint c ошибкой debuginfo-without-sources. Почему этот флаг
> приводит к падению, пока не ясно. Не исключено, что в этих флагах сидит
> что-то, нарушающее бинарную совместимость, и требуется пересобрать с тем же
> флагом весь перл, но это лишь мои предположения.
> 
> Кастую в баг Андрея Бондрова, по чьему наущению был добавлен флаг.

Возможно, дело в -O2, надо попробовать сделать

%global optflags %{optflags} -O0

чтобы отключить оптимизацию, но оставить debug-флаги.
Comment 6 Vladimir Potapov 2014-11-13 11:02:18 MSK
Вы только в адвизори добавьте все изменения, не только дракклок - чтоб мы проверили.
Comment 7 Vladimir Potapov 2014-11-19 16:33:59 MSK
пока зарублю, чтоб в списке не маячило. 
Как будут новые контейнеры, переоткрывайте
BEGIN failed--compilation aborted at /usr/sbin/drakclock line 6.
**************
QA Denied
Comment 8 Denis Silakov 2014-11-19 20:32:27 MSK
Please try these build lists:
https://abf.rosalinux.ru/build_lists/2335138
https://abf.rosalinux.ru/build_lists/2335139

Advisory:
* Fix detection of ntp service status in drakclock.
* Fix generation of debuginfo packages

I have applied Andrey's suggestion, but I can't check 32bit builds by myself for now.
Comment 9 Konstantin Vlasov 2014-11-19 21:29:59 MSK
Нет, оптимизация не помогла. drakclock по-прежнему валится.
Comment 10 Denis Silakov 2014-11-19 21:37:32 MSK
(In reply to comment #9)
> Нет, оптимизация не помогла. drakclock по-прежнему валится.

Тогда я пока пересоберу без этих изменений с cxxflags и вообще без debuginfo. Думаю, починить drakclock важнее, чем debug-пакеты.
Comment 11 Konstantin Vlasov 2014-11-19 21:45:23 MSK
Лучше не убирать debuginfo, а временно добавить rpmlint-фильтр на это сообщение. Как бы только не сделался он постоянным...
Comment 12 Denis Silakov 2014-11-19 21:57:11 MSK
В общем, попробуйте вот эти сборки:

https://abf.io/build_lists/2335171
https://abf.io/build_lists/2335172

Пока убрал debug_package, так быстрее:)

Вообще, Кость, я бы это на твое усмотрение оставил. В идеале, конечно, надо как-то debug культурно починить.
Comment 13 Konstantin Vlasov 2014-11-19 22:17:49 MSK
(In reply to comment #12)
> https://abf.io/build_lists/2335171
> https://abf.io/build_lists/2335172
> 
> Пока убрал debug_package, так быстрее:)

Подтверждаю, что больше не падает (NTP не проверял).

> Вообще, Кость, я бы это на твое усмотрение оставил. В идеале, конечно, надо
> как-то debug культурно починить.

Да я б с удовольствием, только я ни малейшего представления не имею, откуда берётся дебагинфо, кто её вычленяет в отдельный пакет, в какой момент в этом же пакете оказываются сорсы, какого фига сорсы отказываются там появляться в зависимости от флагов компиляции, и даже, банально, чем CFLAGS отличается от CCFLAGS.

На самом-то деле сорсы и раньше не добавлялись, просто это не считалось критической ошибкой, а теперь стало считаться. Поэтому оптимальное временное решение - это rpmlint-фильтр. По сути, возврат к тому, что было: уж лучше пакет с отладочными символами без исходников, чем вообще никакой отладки. А так, конечно, надо разбираться, как и почему флаги влияют на добавление исходников к дебагинфо-пакету.
Comment 14 Vladimir Potapov 2014-11-20 19:20:30 MSK
drakxtools-14.47-29
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2335171/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2335172/x86_64/main/release/
***************************** Advisory ***************************
* Fix detection of ntp service status in drakclock.
* Fix generation of debuginfo packages
******************************************************************
QA Verified